#language: ru

@ignore
@exportscenarios

Функционал: Общие сценарии по настройке

Сценарий: Я читаю лицензию "ИмяФайлаЛицензии"

	И В командном интерфейсе я выбираю 'Администрирование' 'Лицензирование'
	Тогда я жду открытия окна 'Лицензирование' в течение 20 секунд
	И Я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла( Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть ).Путь + "\"' в переменную "КаталогТеста"
	И в поле 'Файл лицензии' я ввожу текст "$КаталогТеста$""ИмяФайлаЛицензии"
	И я нажимаю на кнопку 'Прочитать файл лицензии'
	И я выполняю код встроенного языка на сервере
	| 'к2ЛицензированиеВызовСервераПолныеПрава.ОтключитьОтправкуСтатистики();' |

Сценарий: Я устанавливаю заголовок "Новый заголовок"

	Когда В командном интерфейсе я выбираю 'Администрирование' 'Общие настройки'
	Тогда я жду открытия окна 'Общие настройки' в течение 20 секунд
	И в поле 'Заголовок программы' я ввожу текст "Новый заголовок"
	И я перехожу к следующему реквизиту
	И Я закрываю окно 'Общие настройки'
	И я запоминаю строку "Новый заголовок" в переменную "НовыйЗаголовокСистемы"
	И я выполняю код встроенного языка на сервере без контекста
	| 'Константы.ЗаголовокСистемы.Установить("$НовыйЗаголовокСистемы$");' |
	| 'ОбновитьПовторноИспользуемыеЗначения();' |
	И я выполняю код встроенного языка
	| 'ОбновитьПовторноИспользуемыеЗначения();' |
	| 'СтандартныеПодсистемыКлиент.УстановитьРасширенныйЗаголовокПриложения();' |

Сценарий: Я включаю использование дополнительных реквизитов

	Дано В командном интерфейсе я выбираю 'Администрирование' 'Общие настройки'
	Тогда я жду открытия окна 'Общие настройки' в течение 20 секунд
	И я перехожу к закладке с именем "ГруппаДополнительныеРеквизитыИСведения"
	И я разворачиваю группу "Дополнительные реквизиты и сведения"
	И я устанавливаю флаг с именем 'ИспользоватьДополнительныеРеквизитыИСведения'
	И Я закрываю окно 'Общие настройки'

Сценарий: Я включаю использование истории

	Дано В командном интерфейсе я выбираю 'Администрирование' 'Общие настройки'
	Тогда я жду открытия окна 'Общие настройки' в течение 20 секунд
	И я разворачиваю группу "История изменений"
	И я устанавливаю флаг 'Хранить историю изменений'
	И я нажимаю на кнопку с именем 'НастроитьХранениеИсторииИзменений'
	Тогда я жду открытия окна 'Настройки хранения истории изменений' в течение 20 секунд
	И в таблице "ДеревоОбъектовМетаданных" я перехожу к строке:
		| 'Объект'      |
		| 'Справочники' |
	И я нажимаю на кнопку с именем 'УстановитьВариантВерсионированияВсегда'
	И я нажимаю на кнопку с именем 'ФормаЗаПоследнююНеделю'
	И в таблице "ДеревоОбъектовМетаданных" я перехожу к строке:
		| 'Объект'    |
		| 'Документы' |
	И я нажимаю на кнопку с именем 'УстановитьВариантВерсионированияПриПроведении'
	И я нажимаю на кнопку с именем 'ФормаЗаПоследнююНеделю'
	И Я закрываю окно 'Настройки хранения истории изменений'
	Тогда я жду открытия окна 'Общие настройки' в течение 20 секунд
	И Я закрываю окно 'Общие настройки'

Сценарий: Я включаю оценку производительности

	Дано В командном интерфейсе я выбираю 'Администрирование' 'Обслуживание'
	Тогда я жду открытия окна 'Обслуживание' в течение 20 секунд
	И я перехожу к закладке с именем "ГруппаОценкаПроизводительности"
	И я разворачиваю группу "Оценка производительности"
	И я устанавливаю флаг с именем 'ВыполнятьЗамерыПроизводительности'
	И Я закрываю окно 'Обслуживание'